| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.AttitudeDefinitionModel Class Reference

Attitude Model. More...

List of all members.

## Public Member Functions
| AttitudeDefinitionModel ()
| Constructor.
| AttitudeDefinitionModel (final long attModel, final long AOCSModel, ParamModel parMod, HarmonicModel harmMod, FileModel fileMod, AngleModel angleMod, MatrixModel matrixMod, QuaternionPlusAngle quatAngMod, QuaternionPlusMatrix quatMatMod)
| Constructor with parameters.
## Public Attributes
long | attitudeModel
| Attitude model type (AttModelEnum).
long | AOCS
| AOCS model.
ParamModel | paramModel
HarmonicModel | harmonicModel
FileModel | fileModel
AngleModel | angleModel
MatrixModel | matrixModel
QuaternionPlusAngle | quaternionAngleModel
QuaternionPlusMatrix | quaternionMatrixModel

## Detailed Description

Attitude Model.

## Constructor & Destructor Documentation

EECFI.AttitudeDefinitionModel.AttitudeDefinitionModel | ( |  | ) |

Constructor.

EECFI.AttitudeDefinitionModel.AttitudeDefinitionModel | ( | final long | attModel,
|  | final long | AOCSModel,
|  | ParamModel | parMod,
|  | HarmonicModel | harmMod,
|  | FileModel | fileMod,
|  | AngleModel | angleMod,
|  | MatrixModel | matrixMod,
|  | QuaternionPlusAngle | quatAngMod,
|  | QuaternionPlusMatrix | quatMatMod |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

AngleModel EECFI.AttitudeDefinitionModel.angleModel

long EECFI.AttitudeDefinitionModel.AOCS

AOCS model.

long EECFI.AttitudeDefinitionModel.attitudeModel

Attitude model type (AttModelEnum).

FileModel EECFI.AttitudeDefinitionModel.fileModel

HarmonicModel EECFI.AttitudeDefinitionModel.harmonicModel

MatrixModel EECFI.AttitudeDefinitionModel.matrixModel

ParamModel EECFI.AttitudeDefinitionModel.paramModel

QuaternionPlusAngle EECFI.AttitudeDefinitionModel.quaternionAngleModel

QuaternionPlusMatrix EECFI.AttitudeDefinitionModel.quaternionMatrixModel